Name:           kbiof
Version:        0.3
Release:        3%{?dist}
Summary:        KDE port of the original BIOF XScreenSaver
Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.fmtec.it/felinux/kbiof.php
Source0:        http://www.fmtec.it/felinux/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs3-devel
BuildRequires:  libGLU-devel
Requires:       xscreensaver-base

%description
An OpenGL screensaver for KDE which displays 3D primitives in animated patterns


%prep
%setup -qn %{name}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Convert symlink to relative
rm -f %{buildroot}%{_docdir}/HTML/en/%{name}/common
pushd %{buildroot}%{_docdir}/HTML/en/%{name}
ln -s ../common common
popd


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}.kss
%{_datadir}/applnk/System/ScreenSavers/%{name}.desktop
%{_docdir}/HTML/*/%{name}
%doc AUTHORS COPYING README


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3-3
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Ian Chapman <packages[AT]amiga-hardware.com> 0.3-2
- Use kdelibs3-devel now instead of kdelibs-devel
- Source qt.sh

* Sat Sep 29 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.3-1
- Initial release